##### 7.5.9.0. GKdim

Procedure from library `gkdim.lib` (see gkdim_lib).

Usage:
  GKdim(L); L is a left ideal/module/matrix

Return:
  int

Purpose:
  compute the Gelfand-Kirillov dimension of the factor-module, whose presentation is given by L, e.g. R^r/L

Note:
  if the factor-module is zero, -1 is returned

Example:

    LIB "gkdim.lib";
    ring R = 0,(x,y,z),Dp;
    matrix C[3][3]=0,1,1,0,0,-1,0,0,0;
    matrix D[3][3]=0,0,0,0,0,x;
    def r = nc_algebra(C,D); setring r;
    r;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering Dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    zy=-yz+x
    ideal I=x;
    GKdim(I);
    ==> 2
    ideal J=x2,y;
    GKdim(J);
    ==> 1
    module M=[x2,y,1],[x,y2,0];
    GKdim(M);
    ==> 3
    ideal A = x,y,z;
    GKdim(A);
    ==> 0
    ideal B = 1;
    GKdim(B);
    ==> -1
    GKdim(ideal(0)) == nvars(basering);  // should be true, i.e., evaluated to 1
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.